#
# spec file for package netbeans-svnclientadapter
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global __jar_repack %{nil}
%global nb_            netbeans
%global nb_org         %{nb_}.org
%global nb_ver         6.7.1
%global svnCA          svnClientAdapter
%global svnCA_ver      1.6.0
Name:           netbeans-svnclientadapter
Version:        %{nb_ver}
Release:        23.3
Summary:        Subversion Client Adapter
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            http://subclipse.tigris.org/svnClientAdapter.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# svn export --force --username guest -r4383 \
#     http://subclipse.tigris.org/svn/subclipse/trunk/svnClientAdapter/ \
#     svnClientAdapter-1.6.0
# tar -czvf svnClientAdapter-1.6.0.tar.gz svnClientAdapter-1.6.0
Source0:        %{svnCA}-%{svnCA_ver}.tar.bz2
Patch0:         %{svnCA}-%{svnCA_ver}-build.patch
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  java-devel >= 1.8
BuildRequires:  javapackages-tools
BuildRequires:  subversion-javahl
Requires:       java >= 1.8
Requires:       javapackages-tools
Requires:       subversion
BuildArch:      noarch

%description
SVNClientAdapter is a high-level Java API for Subversion.

%prep
%setup -q -n %{svnCA}-%{svnCA_ver}

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%patch -P 0 -p1 -b .sav

ln -s -f $(find-jar svnkit-javahl) lib/svnjavahl.jar

%build
%{ant} \
    -verbose \
	-DtargetJvm=1.8 \
	svnClientAdapter.jar

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 build/lib/svnClientAdapter.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%license license.txt
%doc readme.txt
%{_javadir}/*

%changelog
* Wed Feb 21 2024 Fridrich Strba <fstrba@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Mar 23 2022 Fridrich Strba <fstrba@suse.com>
- Specify java source and target level 1.8
* Tue Sep 19 2017 fstrba@suse.com
- Specify java source and target level 1.6: fix build with jdk9
- Modified patch:
  * svnClientAdapter-1.6.0-build.patch
    + specify encoding ISO-8859-1 for all files. Some of them are
    UTF-8, some are ISO-8859-1. But it looks like UTF-8 can
    be considered a valid ISO-8859-1 and the build works.
* Tue Jul  8 2014 tchvatal@suse.com
- Do not depend on ant-nodeps.
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Thu Apr  8 2010 mvyskocil@suse.cz
- update to 6.7.1 (merged with netbeans-svnclientadapter-6.7.1-2.fc12.src.rpm)
  the bugfix release
  * improve logging
  * svn conflicts handling
  * bug fixes
* Thu Jun  4 2009 mvyskocil@suse.cz
- fixed bnc#509501: removed all third part libs and their licenses
  as they are not used for build
* Tue Jun  2 2009 mvyskocil@suse.cz
- Removed macros from package name
- Depends on subversion-javahl
* Tue May 19 2009 mvyskocil@suse.cz
- 'Initial SUSE Packaging'
